function LargerChatInput_OnLoad(self)
    self:RegisterEvent("ADDON_LOADED")
end


function LargerChatInput_OnEvent(self, event, ...)
    if event == "ADDON_LOADED" then
        local addon = ...
        if addon == "LargerChatInput" then
            LargerChatInput_OnLoaded()
            self:UnregisterEvent("ADDON_LOADED")
        end
    end
end


function LargerChatInput_OnLoaded()
    hooksecurefunc(
        ChatFrame1EditBox,
        "Show",
        function()
            local left = ChatFrame1:GetLeft()
            local width = GetScreenWidth() - left - 5
            ChatFrame1EditBox:SetPoint("RIGHT", ChatFrame1, "LEFT", width, 0)
        end
    )
end
